import { Injectable } from "@angular/core";

import { STEPS } from "@app/models/investment-proposal-workflow";
import { Instrument } from "@app/models/instrument";
import { LETE } from "@app/components/instruments/lete/lete.component";
import { CETE } from "@app/components/instruments/cete/cete.component";
import { VCN } from "@app/components/instruments/vcn/vcn.component";
import { PBUR } from "@app/components/instruments/pbur/pbur.component";
import { BONO } from "@app/components/instruments/bonos/bonos.component";
import { DAP } from "@app/components/instruments/dap/dap.component";
import { CINV } from "@app/components/instruments/certificados/certificados.component";
import { EURB } from "@app/components/instruments/eurobonos/eurobonos.component";
import { TIT } from "@app/components/instruments/titulos/titulos.component";
import { FINV } from "@app/components/instruments/fondos/fondos.component";
import { OPC } from "@app/components/instruments/opciones/opciones.component";
import { FUTU } from "@app/components/instruments/futuros/futuros.component";
import { PPER } from "@app/components/instruments/pper/pper.component";
import { PEMP } from "@app/components/instruments/pemp/pemp.component";

@Injectable({
  providedIn: "root"
})
export class InstrumentsService {
  getInstruments() {
    return [
      new Instrument(LETE, { key: "LETE", name: "Lete" }),
      new Instrument(CETE, { key: "CETE", name: "Cete" }),
      new Instrument(VCN, {
        key: "VCN",
        name: "Valores comerciales negociables"
      }),
      new Instrument(PBUR, { key: "PBUR", name: "Papel bursátil" }),

      new Instrument(BONO, { key: "BONO", name: "Bonos" }),
      new Instrument(EURB, { key: "EURB", name: "Eurobonos" }),
      new Instrument(CINV, { key: "CINV", name: "Certificados de inversión" }),
      new Instrument(TIT, { key: "TIT", name: "Titularización" }),

      new Instrument(DAP, {
        key: "DAP",
        name: "Depósitos a plazo"
      }),
      new Instrument(FINV, { key: "FINV", name: "Fondo de inversión" }),
      new Instrument(OPC, { key: "OPC", name: "Opciones" }),
      new Instrument(FUTU, { key: "FUTU", name: "Futuros" }),
      new Instrument(PPER, { key: "PPER", name: "Préstamos personales" }),
      new Instrument(PEMP, { key: "PEMP", name: "Préstamos empresariales" })
    ];
  }
}
